com.smartxls

## Class ChartShape

- java.lang.Object
- - com.smartxls.ShapeObj
  - - com.smartxls.ChartShape

-     public class ChartShape
      extends ShapeObj

  This class contains the chart model API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `Area`
    `static short` | `Bar`
    `static short` | `Bubble`
    `static short` | `CategoryScale`
    `static short` | `Column`
    `static short` | `Combination`
    `static short` | `Doughnut`
    `static short` | `LegendPlacementBottom`
    `static short` | `LegendPlacementBottomLeftCorner`
    `static short` | `LegendPlacementBottomRightCorner`
    `static short` | `LegendPlacementCorner`
    `static short` | `LegendPlacementLeft`
    `static short` | `LegendPlacementNotDocked`
    `static short` | `LegendPlacementRight`
    `static short` | `LegendPlacementTop`
    `static short` | `LegendPlacementTopLeftCorner`
    `static short` | `LegendPlacementTopRightCorner`
    `static short` | `Line`
    `static short` | `Pie`
    `static short` | `Radar`
    `static short` | `Scatter`
    `static short` | `SeriesScale`
    `static short` | `Step`
    `static short` | `Surface`
    `static short` | `TickCross`
    `static short` | `TickInside`
    `static short` | `TickLabelPositionHigh`
    `static short` | `TickLabelPositionLow`
    `static short` | `TickLabelPositionNextToAxis`
    `static short` | `TickLabelPositionNone`
    `static short` | `TickLNone`
    `static short` | `TickOutside`
    `static short` | `TimeScale`
    `static short` | `ValueScale`
    `static short` | `XAxis`
    `static short` | `YAxis`
    `static short` | `ZAxis`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSeries()` Adds a series to the chart.
    `int` | `addTrendLine(int series)`
    `void` | `deleteDataLabel(int seriesIndex, int pointIndex)`
    `ChartFormat` | `getAxisFormat(int axisType, int axisIndex)` Returns the format of the specified axis.
    `int` | `getAxisLengthRatio()` Returns the ratio of the area taken up on the selected axis.
    `int` | `getAxisLengthRatio(short axisType, int axisIndex)` Returns the ratio of the area taken up on the specified axis.
    `double` | `getAxisScaleCrosses(short axisType, int axisIndex)` gets the crosses value for the specified axis.
    `int` | `getAxisScaleLabelUnit(short axisType, int axisIndex)` return the label unit of the axis scale
    `int` | `getAxisScaleTick(short axisType, int axisIndex)`
    `short` | `getAxisScaleType()` Returns the axis scale type for the selected axis.
    `short` | `getAxisScaleType(short axisType, int axisIndex)` Returns the axis scale type for the specified axis.
    `java.lang.String` | `getAxisTitle(short sAxisType, int iAxisIndex)` Returns the title of the specified axis.
    `ChartFormat` | `getAxisTitleFormat(short axisType, int axisIndex)` Returns the specified axis title format object.
    `int` | `getBarGapRatio()` Returns the bar gap ratio on a bar or column chart.
    `java.lang.String` | `getCategoryFormula()` Returns a formula that the categories are linked to
    `ChartFormat` | `getChartFormat()` Returns chart formatting information.
    `short` | `getChartType()` Returns the current chart type.
    `ChartFormat` | `getDataLabelFormat(int seriesIndex)` Returns data label formatting information for the specified series.
    `ChartFormat` | `getDataLabelFormat(int seriesIndex, int pointIndex)` Returns data label formatting information for the specified point of the specified series.
    `java.lang.String` | `getDataLabelText(int seriesIndex, int pointIndex)` Returns the data label text of the specified data point of the specified series.
    `int` | `getDataPointCount(int seriesIndex)` Returns the number of data points in the specified series.
    `ChartFormat` | `getDataPointFormat(int seriesIndex, int pointIndex)` Returns data point formatting information for the specified data point.
    `ChartFormat` | `getDropLinesFormat()` Returns drop line formatting information.
    `int` | `getExplosion()` Returns the explosion percentage.
    `int` | `getGapWidthRatio()` Returns the gap width ratio.
    `ChartFormat` | `getLegendFormat()` Returns legend formatting information.
    `short` | `getLegendPosition()` return current legend position 0 - LegendPlacementBottom 1 - LegendPlacementCorner 2 - LegendPlacementTop 3 - LegendPlacementRight 4 - LegendPlacementLeft 5 - LegendPlacementTopRightCorner 6 - LegendPlacementBottomRightCorner 7 - LegendPlacementNotDocked 8 - LegendPlacementTopLeftCorner 9 - LegendPlacementBottomLeftCorner
    `java.lang.String` | `getLinkRange()` Returns a formula indicating the range that the chart is linked to.
    `ChartFormat` | `getMajorGridFormat(short axisType, int axisIndex)` Returns grid line formatting information for the major grid of the specified axis.
    `ChartFormat` | `getMinorGridFormat(short axisType, int axisIndex)` Returns grid line formatting information for the minor grid of the specified axis.
    `int` | `getPieExplosion(int iPointIndex)` Returns explosion percentage for the specified data point.
    `ChartFormat` | `getPlotFormat()` Returns plot formatting information.
    `double` | `getScaleMajorUnit(short axisType, int axisIndex)` get the major scale unit of the selected axis.
    `double` | `getScaleMinorUnit(short axisType, int axisIndex)` get the minor scale unit of the selected axis.
    `int` | `getSeriesCount()` returns the series count in the chart
    `ChartFormat` | `getSeriesFormat(int iSeriesIndex)` Returns formatting information for the specified series.
    `java.lang.String` | `getSeriesName(int iSeries)` Returns the name of the specified series.
    `java.lang.String` | `getSeriesSizeValueFormula(int iSeries)` Returns the size value formula of the specified series.
    `short` | `getSeriesType()` Returns the series type value for the selected series.
    `short` | `getSeriesType(int seriesIndex)` Returns the series type value for the specified series.
    `java.lang.String` | `getSeriesXValueFormula(int iSeries)` Returns the X axis value formula of the specified series.
    `java.lang.String` | `getSeriesYValueFormula(int iSeries)` Returns the Y axis value formula of the specified series.
    `int` | `getStartAngle()` get the start angle of the 3D chart
    `short` | `getTickLabelPosition(int axisType, int axisIndex)` Returns the tick label position of the specified axis.
    `int` | `getTickStyle(int axisType, int axisIndex, boolean bMajor)` Returns the tick style of the specified axis.
    `java.lang.String` | `getTitle()` Returns the current chart title.
    `ChartFormat` | `getTitleFormat()` Returns chart title formatting information.
    `int` | `getTrendLineCount(int series)`
    `ChartFormat` | `getTrendLineFormat(int series, int trendline)`
    `double` | `getTrendLineIntercept(int series, int trendline)`
    `int` | `getTrendLinePeriod(int series, int trendline)`
    `int` | `getTrendLineType(int series, int trendline, short type)`
    `int` | `getYAxisCount()` Returns the number of Y axes on the chart.
    `boolean` | `is3DClustered()`
    `boolean` | `is3Dimensional()` Indicates whether the chart is 3 dimensional or not.
    `boolean` | `isAxisScaleCrossAuto(short axisType, int axisIndex)` Indicates whether the axis scale is cross auto
    `boolean` | `isAxisScaleCrossMax(short axisType, int axisIndex)` Indicates whether the axis scale is cross max
    `boolean` | `isAxisScaleCrossMin(short axisType, int axisIndex)` Indicates whether the axis scale is cross min
    `boolean` | `isAxisScaleReversed(short axisType, int axisIndex)` determine if the axis scale is reversed
    `boolean` | `isAxisVisible()` Indicates whether the selected axis is visible.
    `boolean` | `isAxisVisible(short axisType, int axisIndex)` Indicates whether the specified axis is visible.
    `boolean` | `isCategoryScaleCrossBetween()` Indicates whether category scale is cross between
    `boolean` | `isDropLinesVisible()` Indicates whether drop lines are visible.
    `boolean` | `isLegendVisible()` Indicates whether the legend is visible.
    `boolean` | `isLogScale()` Indicates whether the axis is logarithmic.
    `boolean` | `isLogScale(int axisType, int axisIndex)` Indicates whether the axis is logarithmic.
    `boolean` | `isMajorGridVisible()` Indicates whether the major grid lines of the selected axis are visible.
    `boolean` | `isMajorGridVisible(short axisType, int axisIndex)` Indicates whether the major grid lines of the specified axis are visible.
    `boolean` | `isMinorGridVisible()` Indicates whether the minor grid lines of the selected axis are visible.
    `boolean` | `isMinorGridVisible(short axisType, int axisIndex)` Indicates whether the minor grid lines of the specified axis are visible.
    `boolean` | `isPercent()` Indicates whether the values in the chart are plotted as percentages of the category.
    `boolean` | `isPlotStacked()` Indicates whether the series in the chart are stacked.
    `boolean` | `isPlotVisibleDataOnly()` Indicates whether the hidden data is shown.
    `boolean` | `isScaleMajorUnitAuto(short axisType, int axisIndex)` indicate if the scale is major unit auto
    `boolean` | `isScaleMinorUnitAuto(short axisType, int axisIndex)` indicate whether the minor unit of the scale is auto
    `boolean` | `isSeriesInRows()` Indicates whether series data is in rows.
    `boolean` | `isSeriesSmoothedLine(int seriesIndex)` Indicates whether the series use smoothed line
    `boolean` | `isTimeScaleBaseUnitAuto(short axisType, int axisIndex)` indicate whether the base unit of the timescale is auto
    `boolean` | `isTrendLineDisplayEquation(int series, int trendline)`
    `boolean` | `isTrendLineDisplayRSquared(int series, int trendline)`
    `boolean` | `isVaryColors()` Indicates whether the series in the chart use varied colors.
    `void` | `removeLegendItem(int i)` remove the legend item
    `void` | `removeSeries(int iSeries)` Removes the specified series.
    `void` | `set3DBevel(int wt, int ht, int wb, int hb)`
    `void` | `set3DClustered(boolean flag)`
    `void` | `set3Dimensional(boolean flag)` Sets whether the chart is 3 dimensional or not.
    `void` | `set3DRotX(int degreen)`
    `void` | `set3DRotY(int degreen)`
    `void` | `set3DViewAngle(boolean bRightAngAx, int perspective)`
    `void` | `setAutoMaximumScale(short axisType, int axisIndex, boolean auto)` Sets whether the upper limit of the scale of the specified axis is automatically calculated.
    `void` | `setAutoMinimumScale(short axisType, int axisIndex, boolean auto)` Sets whether the lower limit of the scale of the selected axis is automatically calculated.
    `void` | `setAxisAuto(short axisType, int axisIndex, boolean b)` set the axis type whether based on the value or not,the axis type is one of auto,text,date
    `void` | `setAxisFormat(int axisType, int axisIndex, ChartFormat format)` Sets formatting for the specified axis.
    `void` | `setAxisLengthRatio(int ratio)` Sets the ratio of the area taken up on the selected axis.
    `void` | `setAxisLengthRatio(short axisType, int axisIndex, int ratio)` Sets the ratio of the area taken up on the specified axis.
    `void` | `setAxisScaleCrosses(short axisType, int axisIndex, boolean auto, double intersect)` Sets the crosses value for the specified axis.
    `void` | `setAxisScaleCrossMax(short axisType, int axisIndex, boolean t)` set the axis scale to cross max
    `void` | `setAxisScaleCrossMin(short axisType, int axisIndex, boolean t)` set the axis scale to cross min
    `void` | `setAxisScaleLabelUnit(short axisType, int axisIndex, int frequency)` set the label unit of the axis scale
    `void` | `setAxisScaleReversed(short axisType, int axisIndex, boolean reversed)` set the axis scale to be reversed
    `void` | `setAxisScaleTick(short axisType, int axisIndex, int frequency)` set the tick of the axis scale
    `void` | `setAxisScaleType(short scaleType)` Sets the axis scale type for the selected axis.
    `void` | `setAxisScaleType(short axisType, int axisIndex, short scaleType)` Sets the axis scale type for the specified axis.
    `void` | `setAxisTitle(short sAxisType, int iAxisIndex, java.lang.String title)` Sets the title of the specified axis.
    `void` | `setAxisTitleFormat(short axisType, int axisIndex, ChartFormat format)` Sets the formatting for the title of the specified axis.
    `void` | `setAxisVisible(boolean b)` Sets whether the selected axis is visible.
    `void` | `setAxisVisible(short axisType, int axisIndex, boolean b)` Sets whether the specified axis is visible.
    `void` | `setBarGapRatio(int ratio)` Sets the bar gap ratio on a bar or column chart.
    `void` | `setCategoryFormula(java.lang.String formula)` Links the chart categories to the specified formula.
    `void` | `setCategoryScaleCrossBetween(boolean t)` set the category scale to cross between
    `void` | `setChartFormat(ChartFormat format)` Sets chart formatting.
    `void` | `setChartType(short type)` A constant designating a chart type.
    `void` | `setDataLabelFormat(int seriesIndex, ChartFormat format)` Sets data label formatting for the specified series.
    `void` | `setDataLabelFormat(int seriesIndex, int pointIndex, ChartFormat format)` Sets data label formatting for the specified data point.
    `void` | `setDataLabelText(int seriesIndex, int pointIndex, java.lang.String text, boolean bAutomatic)` Sets data label text for the specified data point.
    `void` | `setDataLableType(int type)` Sets the type of data label to use
    `void` | `setDataPointFormat(int seriesIndex, int pointIndex, ChartFormat format)` Sets formatting for the specified data point.
    `void` | `setDropLinesFormat(ChartFormat format)` Sets drop line formatting.
    `void` | `setDropLinesVisible(boolean b)` Sets whether drop lines are visible.
    `void` | `setErrorBars(int seriesIndex, boolean xy, int type, boolean visible, int source, int value)` set the errorbar informations
    `void` | `setErrorBars(int seriesIndex, boolean xy, int type, boolean visible, java.lang.String range)` set the errorbar informations
    `void` | `setExplosion(int explosion)` Sets the explosion percentage.
    `void` | `setGapWidthRatio(int ratio)` Sets the gap width ratio.
    `void` | `setLegendFormat(ChartFormat format)` Sets legend formatting.
    `void` | `setLegendPosition(short pos)` set legend position
    `void` | `setLegendVisible(boolean b)` Sets whether legend is visible.
    `void` | `setLinkRange(java.lang.String range, boolean bSeriesInRows)` Links the chart to the range in the workbook represented by the specified formula.
    `void` | `setLogScale(boolean log)` Sets the axis to logarithmic base.
    `void` | `setLogScale(int axisType, int axisIndex, boolean log)` Sets the axis to logarithmic base.
    `void` | `setMajorGridFormat(short axisType, int axisIndex, ChartFormat format)` Sets grid line formatting information for the major grid of the specified axis.
    `void` | `setMajorGridVisible(boolean b)` Sets whether the major grid lines of the selected axis are visible.
    `void` | `setMajorGridVisible(short axisType, int axisIndex, boolean b)` Sets whether the major grid lines of the specified axis are visible.
    `void` | `setMinorGridFormat(short axisType, int axisIndex, ChartFormat format)` Sets grid line formatting information for the minor grid of the specified axis.
    `void` | `setMinorGridVisible(boolean b)` Sets whether the minor grid lines of the selected axis are visible.
    `void` | `setMinorGridVisible(short axisType, int axisIndex, boolean b)` Sets whether the minor grid lines of the specified axis are visible.
    `void` | `setPercent(boolean percent)` Sets boolean indicating whether the values in the chart are plotted as percentages of the category.
    `void` | `setPieExplosion(int iPointIndex, int percent)` Sets the explosion percentage of the specified data point.
    `void` | `setPivotSource(BookPivotRange pivotRange)` link the chart to pivot range
    `void` | `setPlotFormat(ChartFormat format)` Sets plot formatting.
    `void` | `setPlotGroupStack(int seriesIndex, boolean stacked)` Sets the selected PlotGroup to display stacked series.
    `void` | `setPlotStacked(boolean stacked)` Sets the selected plot to display stacked series.
    `void` | `setPlotVisibleDataOnly(boolean visData)` Sets whether to display the hidden data.
    `void` | `setScaleMajorUnit(short axisType, int axisIndex, double unit)` set the major scale unit of the selected axis.
    `void` | `setScaleMajorUnitAuto(short axisType, int axisIndex, boolean unit)` set the major unit of the scale to auto
    `void` | `setScaleMinorUnit(short axisType, int axisIndex, double unit)` set the minor scale unit of the selected axis.
    `void` | `setScaleMinorUnitAuto(short axisType, int axisIndex, boolean unit)` set the minor unit of the scale to auto
    `void` | `setScaleValueRange(short axisType, int axisIndex, double dMin, double dMax)` Sets the minimum and maximum range of the selected axis.
    `void` | `setSeriesFormat(int iSeriesIndex, ChartFormat format)` Sets the format of the specified series.
    `void` | `setSeriesName(int iSeries, java.lang.String name)` Sets the name of the specified series.
    `void` | `setSeriesPicFormat(int iSeriesIndex, int layout)` Sets the picture/texture fill options of the specified series.
    `void` | `setSeriesSizeValueFormula(int iSeries, java.lang.String formula)` Sets the size value formula of the specified series.
    `void` | `setSeriesSmoothedLine(int seriesIndex)` set the series smooth line
    `void` | `setSeriesSmoothedLine(int seriesIndex, boolean tof)` set the series to use smothed line
    `void` | `setSeriesType(int seriesIndex, short type)` Sets the series type of the specified series.
    `void` | `setSeriesType(short type)` Sets the series type of the selected series.
    `void` | `setSeriesXValueFormula(int iSeries, java.lang.String formula)` Sets the X axis value formula of the specified series.
    `void` | `setSeriesYAxisIndex(int seriesIndex, int axisIndex)` Sets the index of the Y axis that the specified series is plotted on.
    `void` | `setSeriesYValueFormula(int iSeries, java.lang.String formula)` Returns the Y axis value formula of the specified series.
    `void` | `setStartAngle(int i)` set the start angle of the 3D chart
    `void` | `setTickLabelPosition(int axisType, int axisIndex, int position)` Sets the tick label position on the specified axis.
    `void` | `setTickStyle(int axisType, int axisIndex, boolean bMajor, int tickStyle)` Sets the tick label position on the specified axis.
    `void` | `setTimeScaleBaseUnitAndInterval(int axisType, int axisIndex, int baseunit, int interval)` set the time scale base unit and interval
    `void` | `setTimeScaleBaseUnitAuto(short axisType, int axisIndex, boolean auto)` set base unit of the timescale to auto
    `void` | `setTimeScaleMajorUnit(int axisType, int axisIndex, int majorunit, int majorUnitInterval)` set the time scale major unit
    `void` | `setTimeScaleMinorUnit(int axisType, int axisIndex, int majorunit, int majorUnitInterval)` set the time scale minor unit
    `void` | `setTitle(java.lang.String title)` Sets the chart title.
    `void` | `setTitleFormat(ChartFormat format)` Sets chart title formatting.
    `void` | `setTrendLineDisplayEquation(int series, int trendline, boolean vflag)`
    `void` | `setTrendLineDisplayRSquared(int series, int trendline, boolean vflag)`
    `void` | `setTrendLineFormat(int series, int trendline, ChartFormat format)`
    `void` | `setTrendLineIntercept(int series, int trendline, double intercept)`
    `void` | `setTrendLinePeriod(int series, int trendline, short period)`
    `void` | `setTrendLineType(int series, int trendline, int type)` set the trendline type -1-linear(default) 0-ploy 1-exp 2-log 3-power 4-movingAvg
    `void` | `setValueScaleDisplayUnit(int axisType, int axisIndex, int displayUnit)` set the display unit of the value scale
    `void` | `setValueScaleDisplayUnitValue(int axisType, int axisIndex, int displayUnitValue)` set the display unit of the value scale
    `void` | `setVaryColors(boolean varyColors)` Sets a boolean indicating whether the series in the chart use varied colors.
    `void` | `setYAxisCount(int i)` Sets the number of Y axes on the chart.
    `void` | `writeChartAsPNG(WorkBook book, java.io.OutputStream out)` save chart as PNG image

    - ### Methods inherited from class com.smartxls.ShapeObj

      `getBottom, getFormat, getLeft, getName, getPos, getRight, getTop, setAutoLayoutDirection, setFormat, setName, setPosition`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Column

          public static final short Column

      See Also:
        Constant Field Values

    - #### Line

          public static final short Line

      See Also:
        Constant Field Values

    - #### Area

          public static final short Area

      See Also:
        Constant Field Values

    - #### Step

          public static final short Step

      See Also:
        Constant Field Values

    - #### Bar

          public static final short Bar

      See Also:
        Constant Field Values

    - #### Combination

          public static final short Combination

      See Also:
        Constant Field Values

    - #### Pie

          public static final short Pie

      See Also:
        Constant Field Values

    - #### Doughnut

          public static final short Doughnut

      See Also:
        Constant Field Values

    - #### Scatter

          public static final short Scatter

      See Also:
        Constant Field Values

    - #### Bubble

          public static final short Bubble

      See Also:
        Constant Field Values

    - #### Radar

          public static final short Radar

      See Also:
        Constant Field Values

    - #### Surface

          public static final short Surface

      See Also:
        Constant Field Values

    - #### XAxis

          public static final short XAxis

      See Also:
        Constant Field Values

    - #### YAxis

          public static final short YAxis

      See Also:
        Constant Field Values

    - #### ZAxis

          public static final short ZAxis

      See Also:
        Constant Field Values

    - #### CategoryScale

          public static final short CategoryScale

      See Also:
        Constant Field Values

    - #### ValueScale

          public static final short ValueScale

      See Also:
        Constant Field Values

    - #### TimeScale

          public static final short TimeScale

      See Also:
        Constant Field Values

    - #### SeriesScale

          public static final short SeriesScale

      See Also:
        Constant Field Values

    - #### LegendPlacementBottom

          public static final short LegendPlacementBottom

      See Also:
        Constant Field Values

    - #### LegendPlacementCorner

          public static final short LegendPlacementCorner

      See Also:
        Constant Field Values

    - #### LegendPlacementTop

          public static final short LegendPlacementTop

      See Also:
        Constant Field Values

    - #### LegendPlacementRight

          public static final short LegendPlacementRight

      See Also:
        Constant Field Values

    - #### LegendPlacementLeft

          public static final short LegendPlacementLeft

      See Also:
        Constant Field Values

    - #### LegendPlacementTopRightCorner

          public static final short LegendPlacementTopRightCorner

      See Also:
        Constant Field Values

    - #### LegendPlacementBottomRightCorner

          public static final short LegendPlacementBottomRightCorner

      See Also:
        Constant Field Values

    - #### LegendPlacementNotDocked

          public static final short LegendPlacementNotDocked

      See Also:
        Constant Field Values

    - #### LegendPlacementTopLeftCorner

          public static final short LegendPlacementTopLeftCorner

      See Also:
        Constant Field Values

    - #### LegendPlacementBottomLeftCorner

          public static final short LegendPlacementBottomLeftCorner

      See Also:
        Constant Field Values

    - #### TickLabelPositionNone

          public static final short TickLabelPositionNone

      See Also:
        Constant Field Values

    - #### TickLabelPositionLow

          public static final short TickLabelPositionLow

      See Also:
        Constant Field Values

    - #### TickLabelPositionHigh

          public static final short TickLabelPositionHigh

      See Also:
        Constant Field Values

    - #### TickLabelPositionNextToAxis

          public static final short TickLabelPositionNextToAxis

      See Also:
        Constant Field Values

    - #### TickLNone

          public static final short TickLNone

      See Also:
        Constant Field Values

    - #### TickInside

          public static final short TickInside

      See Also:
        Constant Field Values

    - #### TickOutside

          public static final short TickOutside

      See Also:
        Constant Field Values

    - #### TickCross

          public static final short TickCross

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getChartType

          public short getChartType()

      Returns the current chart type.
      Returns:
        A short indicating the chart type. Chart Type Constants Area Bar Bubble Column Combination Doughnut Line Pie Scatter Step

    - #### setChartType

          public void setChartType(short type)
                            throws java.lang.Exception

      A constant designating a chart type.
      Parameters:
        `type` - Chart Type Constants Area Bar Bubble Column Combination Doughnut Line Pie Scatter Step
      Throws:
        `java.lang.Exception` - exception

    - #### getLinkRange

          public java.lang.String getLinkRange()

      Returns a formula indicating the range that the chart is linked to. This formula can be null if the range is too complex.
      Returns:
        the formula of the range.

    - #### setLinkRange

          public void setLinkRange(java.lang.String range,
                                   boolean bSeriesInRows)
                            throws java.lang.Exception

      Links the chart to the range in the workbook represented by the specified formula.
      Parameters:
        `range` - string indicating the range to link to.
        `bSeriesInRows` - Indicates whether to link each series to rows or to columns. true = link to rows.
      Throws:
        `java.lang.Exception` - if the formula is invalid

    - #### getSeriesName

          public java.lang.String getSeriesName(int iSeries)
                                         throws java.lang.Exception

      Returns the name of the specified series.
      Parameters:
        `iSeries` - an integer indicating which series
      Returns:
        the series name as a formula or a text string.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setSeriesName

          public void setSeriesName(int iSeries,
                                    java.lang.String name)
                             throws java.lang.Exception

      Sets the name of the specified series.
      Parameters:
        `iSeries` - an integer indicating the series.
        `name` - the series name as a formula or a text string.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getAxisTitle

          public java.lang.String getAxisTitle(short sAxisType,
                                               int iAxisIndex)
                                        throws java.lang.Exception

      Returns the title of the specified axis.
      Parameters:
        `sAxisType` - a short indicating the axis type. Either XAxis or YAxis.
        `iAxisIndex` - an integer indicating which axis. The X axis is always 0 since there's currently only one. Y-Axes can be any number 0 to (Y axis count -1).
      Returns:
        the axis title as a formula or a text string.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setAxisTitle

          public void setAxisTitle(short sAxisType,
                                   int iAxisIndex,
                                   java.lang.String title)
                            throws java.lang.Exception

      Sets the title of the specified axis.
      Parameters:
        `sAxisType` - a short indicating the axis type. Either XAxis or YAxis.
        `iAxisIndex` - an integer indicating which axis. The X axis is always 0 since there's currently only one. Y-Axes can be any number 0 to (Y axis count -1).
        `title` - the axis title as a formula or a text string.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getCategoryFormula

          public java.lang.String getCategoryFormula()
                                              throws java.lang.Exception

      Returns a formula that the categories are linked to
      Returns:
        the formula that the categories are linked to.
      Throws:
        `java.lang.Exception` - if the chart does not use categories.

    - #### setCategoryFormula

          public void setCategoryFormula(java.lang.String formula)
                                  throws java.lang.Exception

      Links the chart categories to the specified formula.
      Parameters:
        `formula` - the formula to link to.
      Throws:
        `java.lang.Exception` - if the chart does not use categories or the formula is invalid.

    - #### getTitle

          public java.lang.String getTitle()

      Returns the current chart title.
      Returns:
        the chart title as a formula or a text string.

    - #### setTitle

          public void setTitle(java.lang.String title)
                        throws java.lang.Exception

      Sets the chart title.
      Parameters:
        `title` - the chart title as a formula or a text string.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getSeriesXValueFormula

          public java.lang.String getSeriesXValueFormula(int iSeries)
                                                  throws java.lang.Exception

      Returns the X axis value formula of the specified series. This method applies to bubble and XY (scatter) charts only.
      Parameters:
        `iSeries` - an integer indicating the series.
      Returns:
        a formula indicating the values.
      Throws:
        `java.lang.Exception` - if argument is invalid or series does not use X values.

    - #### setSeriesXValueFormula

          public void setSeriesXValueFormula(int iSeries,
                                             java.lang.String formula)
                                      throws java.lang.Exception

      Sets the X axis value formula of the specified series. This method applies to bubble and XY (scatter) charts only.
      Parameters:
        `iSeries` - an integer indicating the series.
        `formula` - a formula indicating the values.
      Throws:
        `java.lang.Exception` - if argument is invalid or series does not use X values.

    - #### getSeriesYValueFormula

          public java.lang.String getSeriesYValueFormula(int iSeries)
                                                  throws java.lang.Exception

      Returns the Y axis value formula of the specified series.
      Parameters:
        `iSeries` - an integer indicating the series.
      Returns:
        a formula indicating the values.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setSeriesYValueFormula

          public void setSeriesYValueFormula(int iSeries,
                                             java.lang.String formula)
                                      throws java.lang.Exception

      Returns the Y axis value formula of the specified series.
      Parameters:
        `iSeries` - an integer indicating the series.
        `formula` - a formula indicating the values.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getSeriesSizeValueFormula

          public java.lang.String getSeriesSizeValueFormula(int iSeries)
                                                     throws java.lang.Exception

      Returns the size value formula of the specified series. This method applies to bubble charts only.
      Parameters:
        `iSeries` - an integer indicating the series.
      Returns:
        a formula indicating the values.
      Throws:
        `java.lang.Exception` - if argument is invalid or series does not use size values.

    - #### setSeriesSizeValueFormula

          public void setSeriesSizeValueFormula(int iSeries,
                                                java.lang.String formula)
                                         throws java.lang.Exception

      Sets the size value formula of the specified series. This method applies to bubble charts only.
      Parameters:
        `iSeries` - an integer indicating the series.
        `formula` - a formula indicating the values.
      Throws:
        `java.lang.Exception` - if argument is invalid or series does not use size values.

    - #### addSeries

          public void addSeries()
                         throws java.lang.Exception

      Adds a series to the chart. Note: Series do not appear on a chart until attached to data.
      Throws:
        `java.lang.Exception` - if selection is invalid.

    - #### removeSeries

          public void removeSeries(int iSeries)
                            throws java.lang.Exception

      Removes the specified series.
      Parameters:
        `iSeries` - an integer indicating the series.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### isSeriesInRows

          public boolean isSeriesInRows()

      Indicates whether series data is in rows.
      Returns:
        true = data is in rows.

    - #### set3Dimensional

          public void set3Dimensional(boolean flag)
                               throws java.lang.Exception

      Sets whether the chart is 3 dimensional or not. This attribute is ignored unless the chart type is a valid 3D chart type.
      Parameters:
        `flag` - true or false
      Throws:
        `java.lang.Exception` - exception

    - #### is3Dimensional

          public boolean is3Dimensional()
                                 throws java.lang.Exception

      Indicates whether the chart is 3 dimensional or not. This attribute is ignored unless the chart type is a valid 3D chart type.
      Throws:
        `java.lang.Exception` - exception

    - #### set3DClustered

          public void set3DClustered(boolean flag)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### is3DClustered

          public boolean is3DClustered()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getTitleFormat

          public ChartFormat getTitleFormat()

      Returns chart title formatting information.
      Returns:
        a chart Format object.

    - #### setTitleFormat

          public void setTitleFormat(ChartFormat format)
                              throws java.lang.Exception

      Sets chart title formatting.
      Parameters:
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getPlotFormat

          public ChartFormat getPlotFormat()

      Returns plot formatting information.
      Returns:
        a chart Format object.

    - #### setPlotFormat

          public void setPlotFormat(ChartFormat format)
                             throws java.lang.Exception

      Sets plot formatting.
      Parameters:
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getLegendFormat

          public ChartFormat getLegendFormat()

      Returns legend formatting information.
      Returns:
        chart Format object.

    - #### setLegendFormat

          public void setLegendFormat(ChartFormat format)
                               throws java.lang.Exception

      Sets legend formatting.
      Parameters:
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getSeriesFormat

          public ChartFormat getSeriesFormat(int iSeriesIndex)
                                      throws java.lang.Exception

      Returns formatting information for the specified series.
      Parameters:
        `iSeriesIndex` - An integer indicating the series. Zero-based index where 0 = the first series, etc. The series index number does not change after initially assigned.
      Returns:
        a chart Format object.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setSeriesFormat

          public void setSeriesFormat(int iSeriesIndex,
                                      ChartFormat format)
                               throws java.lang.Exception

      Sets the format of the specified series.
      Parameters:
        `iSeriesIndex` - An integer indicating the series. Zero-based index where 0 = the first series, etc. The series index number does not change after initially assigned.
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setSeriesPicFormat

          public void setSeriesPicFormat(int iSeriesIndex,
                                         int layout)
                                  throws java.lang.Exception

      Sets the picture/texture fill options of the specified series.
      Parameters:
        `iSeriesIndex` - An integer indicating the series. Zero-based index where 0 = the first series, etc. The series index number does not change after initially assigned.
        `layout` - stack 1 stackScale 2 stretch 3
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getAxisFormat

          public ChartFormat getAxisFormat(int axisType,
                                           int axisIndex)
                                    throws java.lang.Exception

      Returns the format of the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        a chart Format object. After setting formats in a Format object, calling the corresponding set method applies new formatting.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setAxisFormat

          public void setAxisFormat(int axisType,
                                    int axisIndex,
                                    ChartFormat format)
                             throws java.lang.Exception

      Sets formatting for the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0. Y axes can be any number 0 to (Y axis count -1).
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getAxisTitleFormat

          public ChartFormat getAxisTitleFormat(short axisType,
                                                int axisIndex)
                                         throws java.lang.Exception

      Returns the specified axis title format object.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        a chart Format object. After setting formats in a Format object, calling the corresponding set method applies new formatting.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setAxisTitleFormat

          public void setAxisTitleFormat(short axisType,
                                         int axisIndex,
                                         ChartFormat format)
                                  throws java.lang.Exception

      Sets the formatting for the title of the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0. Y axes can be any number 0 to (Y axis count -1).
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getChartFormat

          public ChartFormat getChartFormat()

      Returns chart formatting information.
      Returns:
        a chart Format object. After setting formats in a Format object, calling the corresponding set method applies new formatting.

    - #### setChartFormat

          public void setChartFormat(ChartFormat format)
                              throws java.lang.Exception

      Sets chart formatting.
      Parameters:
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getMajorGridFormat

          public ChartFormat getMajorGridFormat(short axisType,
                                                int axisIndex)
                                         throws java.lang.Exception

      Returns grid line formatting information for the major grid of the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        a chart Format object. After setting formats in a Format object, calling the corresponding set method applies new formatting.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setMajorGridFormat

          public void setMajorGridFormat(short axisType,
                                         int axisIndex,
                                         ChartFormat format)
                                  throws java.lang.Exception

      Sets grid line formatting information for the major grid of the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0. Y axes can be any number 0 to (Y axis count -1).
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getMinorGridFormat

          public ChartFormat getMinorGridFormat(short axisType,
                                                int axisIndex)
                                         throws java.lang.Exception

      Returns grid line formatting information for the minor grid of the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        a chart Format object. After setting formats in a Format object, calling the corresponding set method applies new formatting.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setMinorGridFormat

          public void setMinorGridFormat(short axisType,
                                         int axisIndex,
                                         ChartFormat format)
                                  throws java.lang.Exception

      Sets grid line formatting information for the minor grid of the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0. Y axes can be any number 0 to (Y axis count -1).
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getYAxisCount

          public int getYAxisCount()

      Returns the number of Y axes on the chart.
      Returns:
        the number of Y axes.

    - #### setYAxisCount

          public void setYAxisCount(int i)
                             throws java.lang.Exception

      Sets the number of Y axes on the chart.
      Parameters:
        `i` - The number of Y axes.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### isPlotStacked

          public boolean isPlotStacked()

      Indicates whether the series in the chart are stacked.
      Returns:
        true or false.

    - #### setPlotStacked

          public void setPlotStacked(boolean stacked)

      Sets the selected plot to display stacked series.
      Parameters:
        `stacked` - true or false

    - #### isPlotVisibleDataOnly

          public boolean isPlotVisibleDataOnly()

      Indicates whether the hidden data is shown.
      Returns:
        true or false.

    - #### setPlotVisibleDataOnly

          public void setPlotVisibleDataOnly(boolean visData)

      Sets whether to display the hidden data.
      Parameters:
        `visData` - true or false

    - #### getBarGapRatio

          public int getBarGapRatio()

      Returns the bar gap ratio on a bar or column chart.
      Returns:
        an integer between -100 and 100 indicating the bar gap ratio.

    - #### setBarGapRatio

          public void setBarGapRatio(int ratio)
                              throws java.lang.Exception

      Sets the bar gap ratio on a bar or column chart.
      Parameters:
        `ratio` - An integer between -100 and 100. 100 = spaces are the same size as bars. 0 = no space. -100 = complete overlap.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getGapWidthRatio

          public int getGapWidthRatio()

      Returns the gap width ratio.
      Returns:
        an integer between 0 and 500 indicating the gap width ratio.

    - #### setGapWidthRatio

          public void setGapWidthRatio(int ratio)
                                throws java.lang.Exception

      Sets the gap width ratio.
      Parameters:
        `ratio` - An integer between 0 and 500.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getExplosion

          public int getExplosion()

      Returns the explosion percentage. This method applies to doughnut and pie charts only.
      Returns:
        an integer indicating explosion percentage.

    - #### setExplosion

          public void setExplosion(int explosion)
                            throws java.lang.Exception

      Sets the explosion percentage. Applies to doughnut and pie charts only.
      Parameters:
        `explosion` - An integer indicating the explosion percentage.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getDataLabelFormat

          public ChartFormat getDataLabelFormat(int seriesIndex)
                                         throws java.lang.Exception

      Returns data label formatting information for the specified series.
      Parameters:
        `seriesIndex` - An integer indicating the series.Zero-based index.
      Returns:
        a chart Format object. After setting formats in a Format object, calling the corresponding set method applies new formatting.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setDataLabelFormat

          public void setDataLabelFormat(int seriesIndex,
                                         ChartFormat format)
                                  throws java.lang.Exception

      Sets data label formatting for the specified series.
      Parameters:
        `seriesIndex` - An integer indicating the series. Zero-based index.
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getDataLabelFormat

          public ChartFormat getDataLabelFormat(int seriesIndex,
                                                int pointIndex)
                                         throws java.lang.Exception

      Returns data label formatting information for the specified point of the specified series.
      Parameters:
        `seriesIndex` - An integer indicating the series. Zero-based index.
        `pointIndex` - An integer indicating the ordinal value of the selected or specified data point. Zero-based index.
      Returns:
        a chart Format object. After setting formats in a Format object, calling the corresponding set method applies new formatting.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setDataLabelFormat

          public void setDataLabelFormat(int seriesIndex,
                                         int pointIndex,
                                         ChartFormat format)
                                  throws java.lang.Exception

      Sets data label formatting for the specified data point.
      Parameters:
        `seriesIndex` - An integer indicating the series. Zero-based index.
        `pointIndex` - An integer indicating the ordinal value of the selected or specified data point. Zero-based index.
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getDropLinesFormat

          public ChartFormat getDropLinesFormat()

      Returns drop line formatting information.
      Returns:
        chart Format object. After setting formats in a Format object, calling the corresponding set method applies new formatting.

    - #### setDropLinesFormat

          public void setDropLinesFormat(ChartFormat format)
                                  throws java.lang.Exception

      Sets drop line formatting.
      Parameters:
        `format` - A chart Format object used to set and retrieve formatting information for objects in a chart.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### isDropLinesVisible

          public boolean isDropLinesVisible()

      Indicates whether drop lines are visible.
      Returns:
        drop lines are visible.

    - #### setDropLinesVisible

          public void setDropLinesVisible(boolean b)

      Sets whether drop lines are visible.
      Parameters:
        `b` - true or false.

    - #### isLegendVisible

          public boolean isLegendVisible()

      Indicates whether the legend is visible.
      Returns:
        true or false.

    - #### setLegendVisible

          public void setLegendVisible(boolean b)

      Sets whether legend is visible.
      Parameters:
        `b` - true or false.

    - #### isMajorGridVisible

          public boolean isMajorGridVisible()
                                     throws java.lang.Exception

      Indicates whether the major grid lines of the selected axis are visible.
      Returns:
        true or false.
      Throws:
        `java.lang.Exception` - exception

    - #### setMajorGridVisible

          public void setMajorGridVisible(boolean b)
                                   throws java.lang.Exception

      Sets whether the major grid lines of the selected axis are visible.
      Parameters:
        `b` - true or false.
      Throws:
        `java.lang.Exception` - exception

    - #### isMajorGridVisible

          public boolean isMajorGridVisible(short axisType,
                                            int axisIndex)
                                     throws java.lang.Exception

      Indicates whether the major grid lines of the specified axis are visible.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        true or false.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setMajorGridVisible

          public void setMajorGridVisible(short axisType,
                                          int axisIndex,
                                          boolean b)
                                   throws java.lang.Exception

      Sets whether the major grid lines of the specified axis are visible.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `b` - true or false.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### isMinorGridVisible

          public boolean isMinorGridVisible()
                                     throws java.lang.Exception

      Indicates whether the minor grid lines of the selected axis are visible.
      Returns:
        true or false.
      Throws:
        `java.lang.Exception` - exception

    - #### setMinorGridVisible

          public void setMinorGridVisible(boolean b)
                                   throws java.lang.Exception

      Sets whether the minor grid lines of the selected axis are visible.
      Parameters:
        `b` - true or false.
      Throws:
        `java.lang.Exception` - exception

    - #### isMinorGridVisible

          public boolean isMinorGridVisible(short axisType,
                                            int axisIndex)
                                     throws java.lang.Exception

      Indicates whether the minor grid lines of the specified axis are visible.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        true or false.
      Throws:
        `java.lang.Exception` - exception

    - #### setMinorGridVisible

          public void setMinorGridVisible(short axisType,
                                          int axisIndex,
                                          boolean b)
                                   throws java.lang.Exception

      Sets whether the minor grid lines of the specified axis are visible.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `b` - true or false.
      Throws:
        `java.lang.Exception` - exception

    - #### getAxisLengthRatio

          public int getAxisLengthRatio()
                                 throws java.lang.Exception

      Returns the ratio of the area taken up on the selected axis. This method is only valid on a Y axis.
      Returns:
        an integer indicating the ratio.
      Throws:
        `java.lang.Exception` - exception

    - #### setAxisLengthRatio

          public void setAxisLengthRatio(int ratio)
                                  throws java.lang.Exception

      Sets the ratio of the area taken up on the selected axis. This method is only valid on a Y axis.
      Parameters:
        `ratio` - An integer indicating the ratio of the area taken up on the plot of each Y-axis.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getAxisLengthRatio

          public int getAxisLengthRatio(short axisType,
                                        int axisIndex)
                                 throws java.lang.Exception

      Returns the ratio of the area taken up on the specified axis. This method is only valid on a Y axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        an integer indicating the ratio.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setAxisLengthRatio

          public void setAxisLengthRatio(short axisType,
                                         int axisIndex,
                                         int ratio)
                                  throws java.lang.Exception

      Sets the ratio of the area taken up on the specified axis. This method is only valid on a Y axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `ratio` - An integer indicating the ratio of the area taken up on the plot of each Y-axis.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getAxisScaleType

          public short getAxisScaleType()
                                 throws java.lang.Exception

      Returns the axis scale type for the selected axis.
      Returns:
        a short indicating scale type. Axis Scale Type Constants CategoryScale scale based on category type. TimeScale scale that groups data into time categories. ValueScale scale based on range of values in the data.
      Throws:
        `java.lang.Exception` - if selection is invalid.

    - #### setAxisScaleType

          public void setAxisScaleType(short scaleType)
                                throws java.lang.Exception

      Sets the axis scale type for the selected axis. This method can only be used to change the X axis from a category scale to a time scale or back to a category scale.
      Parameters:
        `scaleType` - - A constant indicating the scale type. Axis Scale Type Constants CategoryScale scale based on category type. TimeScale scale that groups data into time categories. ValueScale scale based on range of values in the data.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getAxisScaleType

          public short getAxisScaleType(short axisType,
                                        int axisIndex)
                                 throws java.lang.Exception

      Returns the axis scale type for the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        a short indicating scale type. Axis Scale Type Constants CategoryScale scale based on category type. TimeScale scale that groups data into time categories. ValueScale scale based on range of values in the data.
      Throws:
        `java.lang.Exception` - if selection is invalid.

    - #### setAxisScaleType

          public void setAxisScaleType(short axisType,
                                       int axisIndex,
                                       short scaleType)
                                throws java.lang.Exception

      Sets the axis scale type for the specified axis. This method can only be used to change the X axis from a category scale to a time scale or back to a category scale.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `scaleType` - - A constant indicating the scale type. Axis Scale Type Constants CategoryScale scale based on category type. TimeScale scale that groups data into time categories. ValueScale scale based on range of values in the data.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### isAxisVisible

          public boolean isAxisVisible()
                                throws java.lang.Exception

      Indicates whether the selected axis is visible.
      Returns:
        true or false.
      Throws:
        `java.lang.Exception` - exception

    - #### setAxisVisible

          public void setAxisVisible(boolean b)
                              throws java.lang.Exception

      Sets whether the selected axis is visible.
      Parameters:
        `b` - true or false.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### isAxisVisible

          public boolean isAxisVisible(short axisType,
                                       int axisIndex)
                                throws java.lang.Exception

      Indicates whether the specified axis is visible.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        true or false.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setAxisVisible

          public void setAxisVisible(short axisType,
                                     int axisIndex,
                                     boolean b)
                              throws java.lang.Exception

      Sets whether the specified axis is visible.
      Parameters:
        `axisType` - The axis type. Either XAxis or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `b` - true or false.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getSeriesType

          public short getSeriesType()
                              throws java.lang.Exception

      Returns the series type value for the selected series.
      Returns:
        a short indicating series type. Series Type Constants Area Bar Bubble Column Combination Doughnut Line Pie Scatter Step
      Throws:
        `java.lang.Exception` - exception

    - #### setSeriesType

          public void setSeriesType(short type)
                             throws java.lang.Exception

      Sets the series type of the selected series.
      Parameters:
        `type` - A constant designating a series type. This method uses the following chart type constants. Step Area Column Line The chart must be a combination chart and one of the above constants must be used or this method throws an exception.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getSeriesType

          public short getSeriesType(int seriesIndex)
                              throws java.lang.Exception

      Returns the series type value for the specified series.
      Parameters:
        `seriesIndex` - An integer indicating the series. Zero-based index.
      Returns:
        a short indicating series type. Series Type Constants Area Bar Bubble Column Combination Doughnut Line Pie Scatter Step
      Throws:
        `java.lang.Exception` - exception

    - #### setSeriesType

          public void setSeriesType(int seriesIndex,
                                    short type)
                             throws java.lang.Exception

      Sets the series type of the specified series.
      Parameters:
        `seriesIndex` - An integer indicating the series. Zero-based index.
        `type` - A constant designating a series type. This method uses the following chart type constants. Step Area Column Line The chart must be a combination chart and one of the above constants must be used or this method throws an exception.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getDataLabelText

          public java.lang.String getDataLabelText(int seriesIndex,
                                                   int pointIndex)
                                            throws java.lang.Exception

      Returns the data label text of the specified data point of the specified series.
      Parameters:
        `seriesIndex` - An integer indicating the series. Zero-based index.
        `pointIndex` - An integer indicating the ordinal value of the selected or specified data point. Zero-based index.
      Returns:
        the text string.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setDataLabelText

          public void setDataLabelText(int seriesIndex,
                                       int pointIndex,
                                       java.lang.String text,
                                       boolean bAutomatic)
                                throws java.lang.Exception

      Sets data label text for the specified data point. If bAutomatic is set to true, then data labels use the default text.
      Parameters:
        `seriesIndex` - An integer indicating the series. Zero-based index.
        `pointIndex` - An integer indicating the ordinal value of the selected or specified data point. Zero-based index.
        `text` - The text string to use.
        `bAutomatic` - true = use the default data label text.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### deleteDataLabel

          public void deleteDataLabel(int seriesIndex,
                                      int pointIndex)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setSeriesYAxisIndex

          public void setSeriesYAxisIndex(int seriesIndex,
                                          int axisIndex)
                                   throws java.lang.Exception

      Sets the index of the Y axis that the specified series is plotted on.
      Parameters:
        `seriesIndex` - An integer indicating the series. Zero-based index
        `axisIndex` - An integer indicating which axis. Y axes can be any number 0 to (Y axis count -1).
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getDataPointCount

          public int getDataPointCount(int seriesIndex)
                                throws java.lang.Exception

      Returns the number of data points in the specified series.
      Parameters:
        `seriesIndex` - zero-based series index.
      Returns:
        the number of data points.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getDataPointFormat

          public ChartFormat getDataPointFormat(int seriesIndex,
                                                int pointIndex)
                                         throws java.lang.Exception

      Returns data point formatting information for the specified data point.
      Parameters:
        `seriesIndex` - zero-based series index.
        `pointIndex` - zero-based data point index.
      Returns:
        chartFormat object.
      Throws:
        `java.lang.Exception` - exception

    - #### setDataPointFormat

          public void setDataPointFormat(int seriesIndex,
                                         int pointIndex,
                                         ChartFormat format)
                                  throws java.lang.Exception

      Sets formatting for the specified data point.
      Parameters:
        `seriesIndex` - zero-based series index.
        `pointIndex` - zero-based data point index.
        `format` - chartFormat object.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getLegendPosition

          public short getLegendPosition()

      return current legend position 0 - LegendPlacementBottom 1 - LegendPlacementCorner 2 - LegendPlacementTop 3 - LegendPlacementRight 4 - LegendPlacementLeft 5 - LegendPlacementTopRightCorner 6 - LegendPlacementBottomRightCorner 7 - LegendPlacementNotDocked 8 - LegendPlacementTopLeftCorner 9 - LegendPlacementBottomLeftCorner
      Returns:
        legend pos

    - #### setLegendPosition

          public void setLegendPosition(short pos)
                                 throws java.lang.Exception

      set legend position
      Parameters:
        `pos` - legend position 0 - LegendPlacementBottom 1 - LegendPlacementCorner 2 - LegendPlacementTop 3 - LegendPlacementRight 4 - LegendPlacementLeft 5 - LegendPlacementTopRightCorner 6 - LegendPlacementBottomRightCorner 7 - LegendPlacementNotDocked 8 - LegendPlacementTopLeftCorner 9 - LegendPlacementBottomLeftCorner
      Throws:
        `java.lang.Exception` - if argument is invalid

    - #### removeLegendItem

          public void removeLegendItem(int i)
                                throws SXException

      remove the legend item
      Parameters:
        `i` - item index
      Throws:
        `SXException` - if argument is invalid

    - #### setPlotGroupStack

          public void setPlotGroupStack(int seriesIndex,
                                        boolean stacked)
                                 throws java.lang.Exception

      Sets the selected PlotGroup to display stacked series.
      Parameters:
        `seriesIndex` - An integer indicating the plotgroup. Zero-based index
        `stacked` - true or false.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getPieExplosion

          public int getPieExplosion(int iPointIndex)
                              throws java.lang.Exception

      Returns explosion percentage for the specified data point.
      Parameters:
        `iPointIndex` - An integer indicating the data point
      Returns:
        an integer indicating explosion percentage of the specified data point
      Throws:
        `java.lang.Exception` - exception

    - #### setPieExplosion

          public void setPieExplosion(int iPointIndex,
                                      int percent)
                               throws java.lang.Exception

      Sets the explosion percentage of the specified data point.
      Parameters:
        `iPointIndex` - An integer indicating the data point
        `percent` - An integer indicating the explosion percentage
      Throws:
        `java.lang.Exception` - exception

    - #### isLogScale

          public boolean isLogScale()
                             throws java.lang.Exception

      Indicates whether the axis is logarithmic.
      Returns:
        true or false
      Throws:
        `java.lang.Exception` - exception

    - #### setLogScale

          public void setLogScale(boolean log)
                           throws java.lang.Exception

      Sets the axis to logarithmic base.
      Parameters:
        `log` - true or false
      Throws:
        `java.lang.Exception` - exception

    - #### isLogScale

          public boolean isLogScale(int axisType,
                                    int axisIndex)
                             throws java.lang.Exception

      Indicates whether the axis is logarithmic.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        true or false
      Throws:
        `java.lang.Exception` - exception

    - #### setLogScale

          public void setLogScale(int axisType,
                                  int axisIndex,
                                  boolean log)
                           throws java.lang.Exception

      Sets the axis to logarithmic base.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `log` - true or false
      Throws:
        `java.lang.Exception` - exception

    - #### setErrorBars

          public void setErrorBars(int seriesIndex,
                                   boolean xy,
                                   int type,
                                   boolean visible,
                                   java.lang.String range)
                            throws java.lang.Exception

      set the errorbar informations
      Parameters:
        `seriesIndex` - An integer indicating the series
        `xy` - false-X true-Y
        `type` - one or more of the values:1-Plus 2-Minus 3-Both
        `visible` - true to display the errorbar,false not shown.
        `range` - Minus or Plus link range
      Throws:
        `java.lang.Exception` - exception

    - #### setErrorBars

          public void setErrorBars(int seriesIndex,
                                   boolean xy,
                                   int type,
                                   boolean visible,
                                   int source,
                                   int value)
                            throws java.lang.Exception

      set the errorbar informations
      Parameters:
        `seriesIndex` - An integer indicating the series
        `xy` - false-X true-Y
        `type` - one or more of the values:1-Plus 2-Minus 3-Both
        `visible` - true to display the errorbar,false not shown.
        `source` - 1-percentage 2-fixed value
        `value` - the value number
      Throws:
        `java.lang.Exception` - exception

    - #### setSeriesSmoothedLine

          public void setSeriesSmoothedLine(int seriesIndex)
                                     throws java.lang.Exception

      set the series smooth line
      Parameters:
        `seriesIndex` - An integer indicating the series
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### isSeriesSmoothedLine

          public boolean isSeriesSmoothedLine(int seriesIndex)
                                       throws java.lang.Exception

      Indicates whether the series use smoothed line
      Parameters:
        `seriesIndex` - series index
      Returns:
        flag
      Throws:
        `java.lang.Exception` - if invalid parameter

    - #### setSeriesSmoothedLine

          public void setSeriesSmoothedLine(int seriesIndex,
                                            boolean tof)
                                     throws java.lang.Exception

      set the series to use smothed line
      Parameters:
        `seriesIndex` - series index
        `tof` - true or false
      Throws:
        `java.lang.Exception` - invalid parameter

    - #### setAutoMaximumScale

          public void setAutoMaximumScale(short axisType,
                                          int axisIndex,
                                          boolean auto)
                                   throws java.lang.Exception

      Sets whether the upper limit of the scale of the specified axis is automatically calculated.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `auto` - upper limit is automatically calculated.
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setAutoMinimumScale

          public void setAutoMinimumScale(short axisType,
                                          int axisIndex,
                                          boolean auto)
                                   throws java.lang.Exception

      Sets whether the lower limit of the scale of the selected axis is automatically calculated.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `auto` - lower limit is automatically calculated.
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setScaleValueRange

          public void setScaleValueRange(short axisType,
                                         int axisIndex,
                                         double dMin,
                                         double dMax)
                                  throws java.lang.Exception

      Sets the minimum and maximum range of the selected axis. This method is only valid on an axis that uses a value or time scale.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `dMin` - The minimum value of the range of the selected axis
        `dMax` - The maximum value of the range of the selected axis
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setAxisScaleCrosses

          public void setAxisScaleCrosses(short axisType,
                                          int axisIndex,
                                          boolean auto,
                                          double intersect)
                                   throws java.lang.Exception

      Sets the crosses value for the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `auto` - true = automatically configured. false = set scale intersection to the specified value
        `intersect` - intersection value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### getAxisScaleCrosses

          public double getAxisScaleCrosses(short axisType,
                                            int axisIndex)
                                     throws java.lang.Exception

      gets the crosses value for the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        intersection value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### isAxisScaleCrossAuto

          public boolean isAxisScaleCrossAuto(short axisType,
                                              int axisIndex)
                                       throws java.lang.Exception

      Indicates whether the axis scale is cross auto
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        auto if true
      Throws:
        `java.lang.Exception` - invalid parameter

    - #### isAxisScaleCrossMax

          public boolean isAxisScaleCrossMax(short axisType,
                                             int axisIndex)
                                      throws java.lang.Exception

      Indicates whether the axis scale is cross max
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        max if true
      Throws:
        `java.lang.Exception` - invalid parameter

    - #### setAxisScaleCrossMax

          public void setAxisScaleCrossMax(short axisType,
                                           int axisIndex,
                                           boolean t)
                                    throws java.lang.Exception

      set the axis scale to cross max
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `t` - max if true
      Throws:
        `java.lang.Exception` - invalid parameter

    - #### isAxisScaleCrossMin

          public boolean isAxisScaleCrossMin(short axisType,
                                             int axisIndex)
                                      throws java.lang.Exception

      Indicates whether the axis scale is cross min
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        min if true
      Throws:
        `java.lang.Exception` - invalid parameter

    - #### setAxisScaleCrossMin

          public void setAxisScaleCrossMin(short axisType,
                                           int axisIndex,
                                           boolean t)
                                    throws java.lang.Exception

      set the axis scale to cross min
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `t` - min if true
      Throws:
        `java.lang.Exception` - invalid parameter

    - #### isCategoryScaleCrossBetween

          public boolean isCategoryScaleCrossBetween()
                                              throws java.lang.Exception

      Indicates whether category scale is cross between
      Returns:
        true if cross between
      Throws:
        `java.lang.Exception` - invalid parameter

    - #### setCategoryScaleCrossBetween

          public void setCategoryScaleCrossBetween(boolean t)
                                            throws java.lang.Exception

      set the category scale to cross between
      Parameters:
        `t` - true if cross between
      Throws:
        `java.lang.Exception` - invalid parameter

    - #### writeChartAsPNG

          public void writeChartAsPNG(WorkBook book,
                                      java.io.OutputStream out)
                               throws java.lang.Exception

      save chart as PNG image
      Parameters:
        `book` - workbook object
        `out` - outputstream
      Throws:
        `java.lang.Exception` - exception

    - #### isPercent

          public boolean isPercent()

      Indicates whether the values in the chart are plotted as percentages of the category.
      Returns:
        true if percent

    - #### setPercent

          public void setPercent(boolean percent)

      Sets boolean indicating whether the values in the chart are plotted as percentages of the category.
      Parameters:
        `percent` - true or false

    - #### isVaryColors

          public boolean isVaryColors()

      Indicates whether the series in the chart use varied colors.
      Returns:
        true if varied.

    - #### setVaryColors

          public void setVaryColors(boolean varyColors)

      Sets a boolean indicating whether the series in the chart use varied colors. By default, each series is set to a single color. Charts with only one series can be set to automatically vary colors to help emphasize the difference between data points.
      Parameters:
        `varyColors` - true or false

    - #### getScaleMajorUnit

          public double getScaleMajorUnit(short axisType,
                                          int axisIndex)
                                   throws java.lang.Exception

      get the major scale unit of the selected axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        scale major scale unit
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setScaleMajorUnit

          public void setScaleMajorUnit(short axisType,
                                        int axisIndex,
                                        double unit)
                                 throws java.lang.Exception

      set the major scale unit of the selected axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `unit` - major scale unit.
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### getScaleMinorUnit

          public double getScaleMinorUnit(short axisType,
                                          int axisIndex)
                                   throws java.lang.Exception

      get the minor scale unit of the selected axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        scale minor scale unit
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setScaleMinorUnit

          public void setScaleMinorUnit(short axisType,
                                        int axisIndex,
                                        double unit)
                                 throws java.lang.Exception

      set the minor scale unit of the selected axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `unit` - minor scale unit.
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### isScaleMajorUnitAuto

          public boolean isScaleMajorUnitAuto(short axisType,
                                              int axisIndex)
                                       throws java.lang.Exception

      indicate if the scale is major unit auto
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        true if auto
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setScaleMajorUnitAuto

          public void setScaleMajorUnitAuto(short axisType,
                                            int axisIndex,
                                            boolean unit)
                                     throws java.lang.Exception

      set the major unit of the scale to auto
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `unit` - true if auto
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### isScaleMinorUnitAuto

          public boolean isScaleMinorUnitAuto(short axisType,
                                              int axisIndex)
                                       throws java.lang.Exception

      indicate whether the minor unit of the scale is auto
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        true if auto
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setScaleMinorUnitAuto

          public void setScaleMinorUnitAuto(short axisType,
                                            int axisIndex,
                                            boolean unit)
                                     throws java.lang.Exception

      set the minor unit of the scale to auto
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `unit` - true if auto
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### isTimeScaleBaseUnitAuto

          public boolean isTimeScaleBaseUnitAuto(short axisType,
                                                 int axisIndex)
                                          throws java.lang.Exception

      indicate whether the base unit of the timescale is auto
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        true if auto
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setTimeScaleBaseUnitAuto

          public void setTimeScaleBaseUnitAuto(short axisType,
                                               int axisIndex,
                                               boolean auto)
                                        throws java.lang.Exception

      set base unit of the timescale to auto
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `auto` - true if auto
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setTimeScaleMajorUnit

          public void setTimeScaleMajorUnit(int axisType,
                                            int axisIndex,
                                            int majorunit,
                                            int majorUnitInterval)
                                     throws java.lang.Exception

      set the time scale major unit
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `majorunit` - 3-day 5-month 7-year
        `majorUnitInterval` - interval value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setTimeScaleMinorUnit

          public void setTimeScaleMinorUnit(int axisType,
                                            int axisIndex,
                                            int majorunit,
                                            int majorUnitInterval)
                                     throws java.lang.Exception

      set the time scale minor unit
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `majorunit` - 3-day 5-month 7-year
        `majorUnitInterval` - interval value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setTimeScaleBaseUnitAndInterval

          public void setTimeScaleBaseUnitAndInterval(int axisType,
                                                      int axisIndex,
                                                      int baseunit,
                                                      int interval)
                                               throws java.lang.Exception

      set the time scale base unit and interval
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `baseunit` - 3-day 5-month 7-year
        `interval` - interval value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setValueScaleDisplayUnit

          public void setValueScaleDisplayUnit(int axisType,
                                               int axisIndex,
                                               int displayUnit)
                                        throws java.lang.Exception

      set the display unit of the value scale
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `displayUnit` - unit
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setValueScaleDisplayUnitValue

          public void setValueScaleDisplayUnitValue(int axisType,
                                                    int axisIndex,
                                                    int displayUnitValue)
                                             throws java.lang.Exception

      set the display unit of the value scale
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `displayUnitValue` - unit value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### getAxisScaleTick

          public int getAxisScaleTick(short axisType,
                                      int axisIndex)
                               throws java.lang.Exception

      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        tick value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setAxisScaleTick

          public void setAxisScaleTick(short axisType,
                                       int axisIndex,
                                       int frequency)
                                throws java.lang.Exception

      set the tick of the axis scale
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `frequency` - value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### getAxisScaleLabelUnit

          public int getAxisScaleLabelUnit(short axisType,
                                           int axisIndex)
                                    throws java.lang.Exception

      return the label unit of the axis scale
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        unit
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setAxisScaleLabelUnit

          public void setAxisScaleLabelUnit(short axisType,
                                            int axisIndex,
                                            int frequency)
                                     throws java.lang.Exception

      set the label unit of the axis scale
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `frequency` - value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### isAxisScaleReversed

          public boolean isAxisScaleReversed(short axisType,
                                             int axisIndex)
                                      throws java.lang.Exception

      determine if the axis scale is reversed
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        true if axis scale is reversed
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setAxisScaleReversed

          public void setAxisScaleReversed(short axisType,
                                           int axisIndex,
                                           boolean reversed)
                                    throws java.lang.Exception

      set the axis scale to be reversed
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `reversed` - true if reversed
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### getStartAngle

          public int getStartAngle()
                            throws java.lang.Exception

      get the start angle of the 3D chart
      Returns:
        angle value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setStartAngle

          public void setStartAngle(int i)
                             throws java.lang.Exception

      set the start angle of the 3D chart
      Parameters:
        `i` - angle value
      Throws:
        `java.lang.Exception` - argument is invalid

    - #### setDataLableType

          public void setDataLableType(int type)

      Sets the type of data label to use
      Parameters:
        `type` - A constant designating a data label type. Data Label Type Constants `ChartFormat` DataLabelCategory DataLabelCategoryAndPercent DataLabelBubbleSize DataLabelNone DataLabelValue DataLabelPercent

    - #### getSeriesCount

          public int getSeriesCount()

      returns the series count in the chart
      Returns:
        the series count

    - #### getTickLabelPosition

          public short getTickLabelPosition(int axisType,
                                            int axisIndex)
                                     throws java.lang.Exception

      Returns the tick label position of the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
      Returns:
        tick label position: TickLabelPositionNone`TickLabelPositionNone` - Axis labels are not displayed. TickLabelPositionLow - Axis labels are displayed at the low end of plot area. TickLabelPositionHigh - Axis labels are displayed at the high end of plot area. TickLabelPositionNextToAxis - Axis labels are displayed next to the axis.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setTickLabelPosition

          public void setTickLabelPosition(int axisType,
                                           int axisIndex,
                                           int position)
                                    throws java.lang.Exception

      Sets the tick label position on the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `position` - tick label position: TickLabelPositionNone`TickLabelPositionNone` - Axis labels are not displayed. TickLabelPositionLow - Axis labels are displayed at the low end of plot area. TickLabelPositionHigh - Axis labels are displayed at the high end of plot area. TickLabelPositionNextToAxis - Axis labels are displayed next to the axis.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getTickStyle

          public int getTickStyle(int axisType,
                                  int axisIndex,
                                  boolean bMajor)
                           throws java.lang.Exception

      Returns the tick style of the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `bMajor` - grid type. Either majorgrid or minorgrid.
      Returns:
        tick style: TickLNone`TickLNone` - Tick is not visible. TickInside - Tick is on the inside of the axis. TickOutside - Tick is on the outside of the axis. TickCross - Tick is on crossing the axis.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setTickStyle

          public void setTickStyle(int axisType,
                                   int axisIndex,
                                   boolean bMajor,
                                   int tickStyle)
                            throws java.lang.Exception

      Sets the tick label position on the specified axis.
      Parameters:
        `axisType` - The axis type. Either XAxis`XAxis` or YAxis.
        `axisIndex` - An integer indicating which axis. The X axis is always 0 since there's currently only one. Y axes can be any number 0 to (Y axis count -1).
        `bMajor` - grid type. Either majorgrid or minorgrid.
        `tickStyle` - tick style: TickLNone`TickLNone` - Tick is not visible. TickInside - Tick is on the inside of the axis. TickOutside - Tick is on the outside of the axis. TickCross - Tick is on crossing the axis.
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### setAxisAuto

          public void setAxisAuto(short axisType,
                                  int axisIndex,
                                  boolean b)
                           throws java.lang.Exception

      set the axis type whether based on the value or not,the axis type is one of auto,text,date
      Parameters:
        `axisType` - aixs type
        `axisIndex` - index
        `b` - flag
      Throws:
        `java.lang.Exception` - invalid arg

    - #### addTrendLine

          public int addTrendLine(int series)
                           throws SXException

      Throws:
        `SXException`

    - #### getTrendLineCount

          public int getTrendLineCount(int series)
                                throws SXException

      Throws:
        `SXException`

    - #### getTrendLineType

          public int getTrendLineType(int series,
                                      int trendline,
                                      short type)
                               throws SXException

      Throws:
        `SXException`

    - #### setTrendLineType

          public void setTrendLineType(int series,
                                       int trendline,
                                       int type)
                                throws SXException

      set the trendline type -1-linear(default) 0-ploy 1-exp 2-log 3-power 4-movingAvg
      Parameters:
        `series` - series index
        `trendline` - trendline index
        `type` - trendline type
      Throws:
        `SXException` - if invalid argument

    - #### getTrendLinePeriod

          public int getTrendLinePeriod(int series,
                                        int trendline)
                                 throws SXException

      Throws:
        `SXException`

    - #### setTrendLinePeriod

          public void setTrendLinePeriod(int series,
                                         int trendline,
                                         short period)
                                  throws SXException

      Throws:
        `SXException`

    - #### getTrendLineFormat

          public ChartFormat getTrendLineFormat(int series,
                                                int trendline)
                                         throws SXException

      Throws:
        `SXException`

    - #### setTrendLineFormat

          public void setTrendLineFormat(int series,
                                         int trendline,
                                         ChartFormat format)
                                  throws SXException

      Throws:
        `SXException`

    - #### isTrendLineDisplayRSquared

          public boolean isTrendLineDisplayRSquared(int series,
                                                    int trendline)
                                             throws SXException

      Throws:
        `SXException`

    - #### setTrendLineDisplayRSquared

          public void setTrendLineDisplayRSquared(int series,
                                                  int trendline,
                                                  boolean vflag)
                                           throws SXException

      Throws:
        `SXException`

    - #### isTrendLineDisplayEquation

          public boolean isTrendLineDisplayEquation(int series,
                                                    int trendline)
                                             throws SXException

      Throws:
        `SXException`

    - #### setTrendLineDisplayEquation

          public void setTrendLineDisplayEquation(int series,
                                                  int trendline,
                                                  boolean vflag)
                                           throws SXException

      Throws:
        `SXException`

    - #### getTrendLineIntercept

          public double getTrendLineIntercept(int series,
                                              int trendline)
                                       throws SXException

      Throws:
        `SXException`

    - #### setTrendLineIntercept

          public void setTrendLineIntercept(int series,
                                            int trendline,
                                            double intercept)
                                     throws SXException

      Throws:
        `SXException`

    - #### set3DRotX

          public void set3DRotX(int degreen)
                         throws SXException

      Throws:
        `SXException`

    - #### set3DRotY

          public void set3DRotY(int degreen)
                         throws SXException

      Throws:
        `SXException`

    - #### set3DViewAngle

          public void set3DViewAngle(boolean bRightAngAx,
                                     int perspective)
                              throws SXException

      Throws:
        `SXException`

    - #### set3DBevel

          public void set3DBevel(int wt,
                                 int ht,
                                 int wb,
                                 int hb)

    - #### setPivotSource

          public void setPivotSource(BookPivotRange pivotRange)

      link the chart to pivot range
      Parameters:
        `pivotRange` - to be linked